# Inventory policy model for lp
invpolicy= function(d,p,h,I1)
{
  N=length(d)
  obf=c(p,h)
  rhs=d
  rhs[1]=d[1]-I1
  A1=diag(N)
  A2=matrix(rep(0,N^2), N, N)
  for (j in 1:(N-1))
  {
    A2[j,j]=-1
    A2[j+1,j]=1
  }
  A2[N,N]=-1
  A=cbind(A1,A2)
  cdir=rep("=",N)
  lpsolution=lp("min", obf, A, cdir, rhs)
  optsol=lpsolution$solution
  xoptimal=optsol[1:N]
  Ioptimal=optsol[(N+1):(2*N)]
  optcost=lpsolution$objval
  return(list(obf=obf, cmat=A, rhs=rhs, direction=cdir, proq=xoptimal, inventories=Ioptimal, mincost=optcost ))
}

#  example
d=c(100,300, 100, 200)
p=c(3,4,2,5)
h=c(1,1,0.4,0.3)
I1=30
#
prdata=invpolicy(d,p,h,I1)



